


     EEEEMMMMAAAACCCCSSSS((((1111))))                 ((((1111999999994444 AAAApppprrrriiiillll 11119999))))                 EEEEMMMMAAAACCCCSSSS((((1111))))



     NNNNAAAAMMMMEEEE
          emacs - GNU project Emacs

     SSSSYYYYNNNNOOOOPPPPSSSSIIIISSSS
          eeeemmmmaaaaccccssss [ _c_o_m_m_a_n_d-_l_i_n_e _s_w_i_t_c_h_e_s ] [ _f_i_l_e_s ... ]

     DDDDEEEESSSSCCCCRRRRIIIIPPPPTTTTIIIIOOOONNNN
          _G_N_U _E_m_a_c_s is a new version of _E_m_a_c_s, written by the author
          of the original (PDP-10) _E_m_a_c_s, Richard Stallman. Its user
          functionality encompasses everything other _E_m_a_c_s editors do,
          and it is easily extensible since its editing commands are
          written in Lisp.

          _E_m_a_c_s has an extensive interactive help facility, but the
          facility assumes that you know how to manipulate _E_m_a_c_s
          windows and buffers.  CTRL-h (backspace or CTRL-h) enters
          the Help facility.  Help Tutorial (CTRL-h t) requests an
          interactive tutorial which can teach beginners the
          fundamentals of _E_m_a_c_s in a few minutes.  Help Apropos
          (CTRL-h a) helps you find a command given its functionality,
          Help Character (CTRL-h c) describes a given character's
          effect, and Help Function (CTRL-h f) describes a given Lisp
          function specified by name.

          _E_m_a_c_s'_s Undo can undo several steps of modification to your
          buffers, so it is easy to recover from editing mistakes.

          _G_N_U _E_m_a_c_s'_s many special packages handle mail reading
          (RMail) and sending (Mail), outline editing (Outline),
          compiling (Compile), running subshells within _E_m_a_c_s windows
          (Shell), running a Lisp read-eval-print loop (Lisp-
          Interaction-Mode), and automated psychotherapy (Doctor).

          There is an extensive reference manual, but users of other
          Emacses should have little trouble adapting even without a
          copy.  Users new to _E_m_a_c_s will be able to use basic features
          fairly rapidly by studying the tutorial and using the self-
          documentation features.

          Emacs Options

          The following options are of general interest:

          _f_i_l_e    Edit _f_i_l_e.

          ++++_n_u_m_b_e_r Go to the line specified by _n_u_m_b_e_r (do not insert a
                  space between the "+" sign and the number).

          -qqqq      Do not load an init file.

          -uuuu _u_s_e_r Load _u_s_e_r'_s init file.




     Page 1                                          (printed 7/20/94)






     EEEEMMMMAAAACCCCSSSS((((1111))))                 ((((1111999999994444 AAAApppprrrriiiillll 11119999))))                 EEEEMMMMAAAACCCCSSSS((((1111))))



          -tttt _f_i_l_e Use specified _f_i_l_e as the terminal instead of using
                  stdin/stdout.  This must be the first argument
                  specified in the command line.

          The following options are lisp-oriented (these options are
          processed in the order encountered):

          -ffff _f_u_n_c_t_i_o_n
                  Execute the lisp function _f_u_n_c_t_i_o_n.

          -llll _f_i_l_e Load the lisp code in the file _f_i_l_e.

          The following options are useful when running _E_m_a_c_s as a
          batch editor:

          -bbbbaaaattttcccchhhh _c_o_m_m_a_n_d_f_i_l_e
                  Edit in batch mode using the commands found in
                  _c_o_m_m_a_n_d_f_i_l_e. The editor will send messages to
                  stdout.  This option must be the first in the
                  argument list.

          -kkkkiiiillllllll   Exit _E_m_a_c_s while in batch mode.

          Using Emacs with X

          _E_m_a_c_s has been tailored to work well with the X window
          system.  If you run _E_m_a_c_s from under X windows, it will
          create its own X window to display in.  You will probably
          want to start the editor as a background process so that you
          can continue using your original window.

          _E_m_a_c_s can be started with the following X switches:

          -rrrrnnnn _n_a_m_e
                  Specifies the program name which should be used when
                  looking up defaults in the user's X resources.  This
                  must be the first option specified in the command
                  line.

          -nnnnaaaammmmeeee _n_a_m_e
                  Specifies the name which should be assigned to the
                  _E_m_a_c_s window.

          -rrrr      Display the _E_m_a_c_s window in reverse video.

          -iiii      Use the "kitchen sink" bitmap icon when iconifying
                  the _E_m_a_c_s window.

          -ffffoooonnnntttt _f_o_n_t, -ffffnnnn _f_o_n_t
                  Set the _E_m_a_c_s window's font to that specified by
                  _f_o_n_t. You will find the various _X fonts in the
                  /_u_s_r/_l_i_b/_X_1_1/_f_o_n_t_s directory.  Note that _E_m_a_c_s will



     Page 2                                          (printed 7/20/94)






     EEEEMMMMAAAACCCCSSSS((((1111))))                 ((((1111999999994444 AAAApppprrrriiiillll 11119999))))                 EEEEMMMMAAAACCCCSSSS((((1111))))



                  only accept fixed width fonts.  Under the X11
                  Release 4 font-naming conventions, any font with the
                  value "m" or "c" in the eleventh field of the font
                  name is a fixed width font.  Furthermore, fonts
                  whose name are of the form _w_i_d_t_hx_h_e_i_g_h_t are
                  generally fixed width, as is the font _f_i_x_e_d.  See
                  _x_l_s_f_o_n_t_s(1) for more information.

                  When you specify a font, be sure to put a space
                  between the switch and the font name.

          -bbbb _p_i_x_e_l_s
                  Set the _E_m_a_c_s window's border width to the number of
                  pixels specified by _p_i_x_e_l_s. Defaults to one pixel on
                  each side of the window.

          -iiiibbbb _p_i_x_e_l_s
                  Set the window's internal border width to the number
                  of pixels specified by _p_i_x_e_l_s. Defaults to one pixel
                  of padding on each side of the window.

          -ggggeeeeoooommmmeeeettttrrrryyyy _g_e_o_m_e_t_r_y
                  Set the _E_m_a_c_s window's width, height, and position
                  as specified.  The geometry specification is in the
                  standard X format; see _X(1) for more information.
                  The width and height are specified in characters;
                  the default is 80 by 24.

          -ffffgggg _c_o_l_o_r
                  On color displays, sets the color of the text.

                  See the file /_u_s_r/_l_i_b/_X_1_1/_r_g_b._t_x_t for a list of
                  valid color names.

          -bbbbgggg _c_o_l_o_r
                  On color displays, sets the color of the window's
                  background.

          -bbbbdddd _c_o_l_o_r
                  On color displays, sets the color of the window's
                  border.

          -ccccrrrr _c_o_l_o_r
                  On color displays, sets the color of the window's
                  text cursor.

          -mmmmssss _c_o_l_o_r
                  On color displays, sets the color of the window's
                  mouse cursor.

          -dddd _d_i_s_p_l_a_y_n_a_m_e, -ddddiiiissssppppllllaaaayyyy _d_i_s_p_l_a_y_n_a_m_e
                  Create the _E_m_a_c_s window on the display specified by



     Page 3                                          (printed 7/20/94)






     EEEEMMMMAAAACCCCSSSS((((1111))))                 ((((1111999999994444 AAAApppprrrriiiillll 11119999))))                 EEEEMMMMAAAACCCCSSSS((((1111))))



                  _d_i_s_p_l_a_y_n_a_m_e.  Must be the first option specified in
                  the command line.

          -nnnnwwww     Tells _E_m_a_c_s not to use its special interface to X.
                  If you use this switch when invoking _E_m_a_c_s from an
                  _x_t_e_r_m(1) window, display is done in that window.
                  This must be the first option specified in the
                  command line.

          You can set _X default values for your _E_m_a_c_s windows in your
          ._X_r_e_s_o_u_r_c_e_s file (see _x_r_d_b(1)).  Use the following format:

               emacs.keyword:value

          where _v_a_l_u_e specifies the default value of _k_e_y_w_o_r_d. _E_m_a_c_s
          lets you set default values for the following keywords:

          ffffoooonnnntttt ((((class FFFFoooonnnntttt))))
                  Sets the window's text font.

          rrrreeeevvvveeeerrrrsssseeeeVVVViiiiddddeeeeoooo ((((class RRRReeeevvvveeeerrrrsssseeeeVVVViiiiddddeeeeoooo))))
                  If _r_e_v_e_r_s_e_V_i_d_e_o'_s value is set to _o_n, the window
                  will be displayed in reverse video.

          bbbbiiiittttmmmmaaaappppIIIIccccoooonnnn ((((class BBBBiiiittttmmmmaaaappppIIIIccccoooonnnn))))
                  If _b_i_t_m_a_p_I_c_o_n'_s value is set to _o_n, the window will
                  iconify into the "kitchen sink."

          bbbboooorrrrddddeeeerrrrWWWWiiiiddddtttthhhh ((((class BBBBoooorrrrddddeeeerrrrWWWWiiiiddddtttthhhh))))
                  Sets the window's border width in pixels.

          iiiinnnntttteeeerrrrnnnnaaaallllBBBBoooorrrrddddeeeerrrr ((((class BBBBoooorrrrddddeeeerrrrWWWWiiiiddddtttthhhh))))
                  Sets the window's internal border width in pixels.

          ffffoooorrrreeeeggggrrrroooouuuunnnndddd ((((class FFFFoooorrrreeeeggggrrrroooouuuunnnndddd))))
                  For color displays, sets the window's text color.

          bbbbaaaacccckkkkggggrrrroooouuuunnnndddd ((((class BBBBaaaacccckkkkggggrrrroooouuuunnnndddd))))
                  For color displays, sets the window's background
                  color.

          bbbboooorrrrddddeeeerrrrCCCCoooolllloooorrrr ((((class BBBBoooorrrrddddeeeerrrrCCCCoooolllloooorrrr))))
                  For color displays, sets the color of the window's
                  border.

          ccccuuuurrrrssssoooorrrrCCCCoooolllloooorrrr ((((class FFFFoooorrrreeeeggggrrrroooouuuunnnndddd))))
                  For color displays, sets the color of the window's
                  text cursor.

          ppppooooiiiinnnntttteeeerrrrCCCCoooolllloooorrrr ((((class FFFFoooorrrreeeeggggrrrroooouuuunnnndddd))))
                  For color displays, sets the color of the window's
                  mouse cursor.



     Page 4                                          (printed 7/20/94)






     EEEEMMMMAAAACCCCSSSS((((1111))))                 ((((1111999999994444 AAAApppprrrriiiillll 11119999))))                 EEEEMMMMAAAACCCCSSSS((((1111))))



          ggggeeeeoooommmmeeeettttrrrryyyy ((((class GGGGeeeeoooommmmeeeettttrrrryyyy))))
                  Sets the geometry of the _E_m_a_c_s window (as described
                  above).

          ttttiiiittttlllleeee ((((class TTTTiiiittttlllleeee))))
                  Sets the title of the _E_m_a_c_s window.

          iiiiccccoooonnnnNNNNaaaammmmeeee ((((class TTTTiiiittttlllleeee))))
                  Sets the icon name for the _E_m_a_c_s window icon.

          If you try to set color values while using a black and white
          display, the window's characteristics will default as
          follows:  the foreground color will be set to black, the
          background color will be set to white, the border color will
          be set to grey, and the text and mouse cursors will be set
          to black.

          Using the Mouse

          The following lists the mouse button bindings for the _E_m_a_c_s
          window under X11.

          MOUSE BUTTON         FUNCTION
          left                 Set point.
          middle               Paste text.
          right                Cut text into X cut buffer.
          SHIFT-middle         Cut text into X cut buffer.
          SHIFT-right          Paste text.
          CTRL-middle          Cut text into X cut buffer and kill it.
          CTRL-right           Select this window, then split it into
                               two windows.  Same as typing CTRL-x 2.
          CTRL-SHIFT-left      X buffer menu--hold the buttons and
                               keys down, wait for menu to appear,
                               select buffer, and release.  Move mouse
                               out of menu and release to cancel.
          CTRL-SHIFT-middle    X help menu--pop up index card menu for
                               Emacs help.
          CTRL-SHIFT-right     Select window with mouse, and delete
                               all other windows.  Same as typing
                               CTRL-x 1.

     MMMMAAAANNNNUUUUAAAALLLLSSSS
          You can order printed copies of the GNU Emacs Manual for
          $20.00/copy postpaid from the Free Software Foundation,
          which develops GNU software (contact them for quantity
          prices on the manual).  Their address is:
              Free Software Foundation
              675 Mass Ave.
              Cambridge, MA 02139
          Your local Emacs maintainer might also have copies
          available.  As with all software and publications from FSF,
          everyone is permitted to make and distribute copies of the



     Page 5                                          (printed 7/20/94)






     EEEEMMMMAAAACCCCSSSS((((1111))))                 ((((1111999999994444 AAAApppprrrriiiillll 11119999))))                 EEEEMMMMAAAACCCCSSSS((((1111))))



          Emacs manual.  The TeX source to the manual is also included
          in the Emacs source distribution.

     FFFFIIIILLLLEEEESSSS
          /usr/local/info - files for the Info documentation browser
          (a subsystem of Emacs) to refer to.  Currently not much of
          Unix is documented here, but the complete text of the Emacs
          reference manual is included in a convenient tree structured
          form.

          /usr/local/lib/emacs/$VERSION/src - C source files and
          object files

          /usr/local/lib/emacs/$VERSION/lisp - Lisp source files and
          compiled files that define most editing commands.  Some are
          preloaded; others are autoloaded from this directory when
          used.

          /usr/local/lib/emacs/$VERSION/etc - various programs that
          are used with GNU Emacs, and some files of information.

          /usr/local/lib/emacs/$VERSION/etc/DOC.* - contains the
          documentation strings for the Lisp primitives and preloaded
          Lisp functions of GNU Emacs.  They are stored here to reduce
          the size of Emacs proper.

          /usr/local/lib/emacs/$VERSION/etc/DIFF discusses GNU Emacs
          vs. Twenex Emacs;
          /usr/local/lib/emacs/$VERSION/etc/CCADIFF discusses GNU
          Emacs vs. CCA Emacs;
          /usr/local/lib/emacs/$VERSION/etc/GOSDIFF discusses GNU
          Emacs vs. Gosling Emacs.
          /usr/local/lib/emacs/$VERSION/etc/SERVICE lists people
          offering various services to assist users of GNU Emacs,
          including education, troubleshooting, porting and
          customization.
          These files also have information useful to anyone wishing
          to write programs in the Emacs Lisp extension language,
          which has not yet been fully documented.

          /usr/local/lib/emacs/lock - holds lock files that are made
          for all files being modified in Emacs, to prevent
          simultaneous modification of one file by two users.

          /usr/local/lib/emacs/$VERSION/$ARCHITECTURE/cpp - the GNU
          cpp, needed for building Emacs on certain versions of Unix
          where the standard cpp cannot handle long names for macros.

          /usr/lib/X11/rgb.txt - list of valid X color names.

     BBBBUUUUGGGGSSSS
          There is a mailing list, bug-gnu-emacs@prep.ai.mit.edu on



     Page 6                                          (printed 7/20/94)






     EEEEMMMMAAAACCCCSSSS((((1111))))                 ((((1111999999994444 AAAApppprrrriiiillll 11119999))))                 EEEEMMMMAAAACCCCSSSS((((1111))))



          the internet (ucbvax!prep.ai.mit.edu!bug-gnu-emacs on
          UUCPnet), for reporting Emacs bugs and fixes.  But before
          reporting something as a bug, please try to be sure that it
          really is a bug, not a misunderstanding or a deliberate
          feature.  We ask you to read the section ``Reporting Emacs
          Bugs'' near the end of the reference manual (or Info system)
          for hints on how and when to report bugs.  Also, include the
          version number of the Emacs you are running in _e_v_e_r_y bug
          report that you send in.

          Do not expect a personal answer to a bug report.  The
          purpose of reporting bugs is to get them fixed for everyone
          in the next release, if possible.  For personal assistance,
          look in the SERVICE file (see above) for a list of people
          who offer it.

          Please do not send anything but bug reports to this mailing
          list.  Send requests to be added to mailing lists to the
          special list info-gnu-emacs-request@prep.ai.mit.edu (or the
          corresponding UUCP address).  For more information about
          Emacs mailing lists, see the file
          /usr/local/emacs/etc/MAILINGLISTS.  Bugs tend actually to be
          fixed if they can be isolated, so it is in your interest to
          report them in such a way that they can be easily
          reproduced.

          Bugs that I know about are: shell will not work with
          programs running in Raw mode on some Unix versions.

     UUUUNNNNRRRREEEESSSSTTTTRRRRIIIICCCCTTTTIIIIOOOONNNNSSSS
          _E_m_a_c_s is free; anyone may redistribute copies of _E_m_a_c_s to
          anyone under the terms stated in the _E_m_a_c_s General Public
          License, a copy of which accompanies each copy of _E_m_a_c_s and
          which also appears in the reference manual.

          Copies of _E_m_a_c_s may sometimes be received packaged with
          distributions of Unix systems, but it is never included in
          the scope of any license covering those systems.  Such
          inclusion violates the terms on which distribution is
          permitted.  In fact, the primary purpose of the General
          Public License is to prohibit anyone from attaching any
          other restrictions to redistribution of _E_m_a_c_s.

          Richard Stallman encourages you to improve and extend _E_m_a_c_s,
          and urges that you contribute your extensions to the GNU
          library.  Eventually GNU (Gnu's Not Unix) will be a complete
          replacement for Berkeley Unix.  Everyone will be able to use
          the GNU system for free.

     SSSSEEEEEEEE AAAALLLLSSSSOOOO
          X(1), xlsfonts(1), xterm(1), xrdb(1)




     Page 7                                          (printed 7/20/94)






     EEEEMMMMAAAACCCCSSSS((((1111))))                 ((((1111999999994444 AAAApppprrrriiiillll 11119999))))                 EEEEMMMMAAAACCCCSSSS((((1111))))



     AAAAUUUUTTTTHHHHOOOORRRRSSSS
          _E_m_a_c_s was written by Richard Stallman and the Free Software
          Foundation.  Joachim Martillo and Robert Krawitz added the X
          features.



















































     Page 8                                          (printed 7/20/94)



